Deploy Beam Config Handler
curl --request POST \
--url https://api.allium.so/api/v1/beam/{config_id}/deploy \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.allium.so/api/v1/beam/{config_id}/deploy"
headers = {"X-API-KEY": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.allium.so/api/v1/beam/{config_id}/deploy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Deployment
Deploy pipeline
Deploys a pipeline to start processing data.
POST
/
api
/
v1
/
beam
/
{config_id}
/
deploy
Deploy Beam Config Handler
Deploys the pipeline to start processing data. Creates Kafka topics, provisions credentials, and spins up workers.
Deployment is idempotent — call it again after updating a config to apply changes with zero downtime. Do not teardown before redeploying.
Path parameters:
Response:
Required permission:
edit — owners and editors.| Parameter | Description |
|---|---|
config_id | Pipeline configuration ID |
curl -X POST https://api.allium.so/api/v1/beam/${CONFIG_ID}/deploy \
-H "X-API-Key: ${ALLIUM_API_KEY}"
{ "message": "Pipeline abc123 successfully deployed" }
Was this page helpful?
⌘I